[arch-commits] Commit in jikes/repos (3 files)

Eric Bélanger eric at archlinux.org
Wed Apr 8 03:41:35 EDT 2009


    Date: Wednesday, April 8, 2009 @ 03:41:34
  Author: eric
Revision: 34213

Fixed svn conflict

Modified:
  jikes/repos/extra-x86_64/	(properties)
  jikes/repos/extra-x86_64/PKGBUILD
Deleted:
  jikes/repos/extra-x86_64/jikes.profile

---------------+
 PKGBUILD      |   20 +++++++++++---------
 jikes.profile |    1 -
 2 files changed, 11 insertions(+), 10 deletions(-)


Property changes on: jikes/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /jikes/trunk:1
   + /jikes/trunk:1-34212

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-08 07:38:31 UTC (rev 34212)
+++ extra-x86_64/PKGBUILD	2009-04-08 07:41:34 UTC (rev 34213)
@@ -4,20 +4,22 @@
 
 pkgname=jikes
 pkgver=1.22
-pkgrel=2
+pkgrel=3
 pkgdesc="Java compiler written in C"
 arch=(i686 x86_64)
-source=(http://heanet.dl.sourceforge.net/jikes/${pkgname}-${pkgver}.tar.bz2
+url="http://jikes.sourceforge.net/"
+license=('custom:IBM Public License')
+depends=('gcc-gcj')
+source=(http://downloads.sourceforge.net/jikes/${pkgname}-${pkgver}.tar.bz2
 	jikes)
-url="http://www-124.ibm.com/developerworks/oss/jikes/"
-depends=('gcc-gcj')
 md5sums=('cda958c7fef6b43b803e1d1ef9afcb85' 'adc932cbcfb46e15ef2ff0bd7e862f1c')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  mv ${startdir}/pkg/usr/bin/jikes ${startdir}/pkg/usr/bin/jikes-bin
-  install -m755 ${startdir}/src/jikes ${startdir}/pkg/usr/bin/
+  make DESTDIR=${startdir}/pkg install|| return 1
+  mv ${pkgdir}/usr/bin/jikes ${pkgdir}/usr/bin/jikes-bin
+  install -m755 ${srcdir}/jikes ${pkgdir}/usr/bin/jikes
+  install -D -m644 doc/license.htm  ${pkgdir}/usr/share/licenses/${pkgname}/license.htm
 }

Deleted: extra-x86_64/jikes.profile
===================================================================
--- extra-x86_64/jikes.profile	2009-04-08 07:38:31 UTC (rev 34212)
+++ extra-x86_64/jikes.profile	2009-04-08 07:41:34 UTC (rev 34213)
@@ -1 +0,0 @@
-export BOOTCLASSPATH=/opt/java/jre/lib/rt.jar



More information about the arch-commits mailing list